dnl -----------------------------------------------------------------
dnl $Id: configure.in,v 1.2 2001/03/08 23:45:41 pwessel Exp $
dnl
dnl Run GNU autoconf to produce a configure script from this input.
dnl
dnl -----------------------------------------------------------------
dnl
AC_REVISION(configure for src/xgrid)
AC_INIT(README.xgrid)
owncflags=${CFLAGS:-NONE}
AC_CONFIG_AUX_DIR(../..)
AC_CANONICAL_SYSTEM
AC_LANG_C
AC_PROG_CC
AC_PATH_XTRA

case "$X_CFLAGS" in
	*X_DISPLAY_MISSING*)
		xgridedit=
		xgridedit-install=
		;;
	*)
		buildtarget=xgridedit
		installtarget=xgridedit-install
		;;
esac

AC_SUBST(buildtarget)
AC_SUBST(installtarget)

AC_OUTPUT(makefile)

if test "$ac_cv_have_x" = "yes" ; then
	rm -f .skip
else
	touch .skip
fi

